#!/usr/bin/env bash

rpm_dir="${1}"
already_installed_dir="${rpm_dir}/../preinstalled_rpms"

if [[ ! -d "${already_installed_dir}" ]]; then
	mkdir -p "${already_installed_dir}"
fi

if [[ -d "$1" ]]; then
	for i in "${rpm_dir}"/*.rpm; do
		rpm_pkg=$(rpm --queryformat "%{NAME}" -qp $i)
		echo -n "Checking to see if $rpm_pkg is already installed."
		rpm -q "$rpm_pkg" > /dev/null 2>&1
		if [[ $? -eq 0 ]]; then
			echo "  Yes, moving."
			mv "$i" "${already_installed_dir}/"
		else
			echo "  No, keeping."
		fi
	done
else
	echo "Usage: $0 rpmdir"
fi
